Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization.transform.shape
Class TransformingGraphics

    java.lang.Object
      edu.uci.ics.jung.visualization.transform.shape.GraphicsDecorator
          edu.uci.ics.jung.visualization.transform.shape.TransformingGraphics

public class TransformingGraphics
extends GraphicsDecorator

subclassed to pass certain operations thru the transformer before the base class method is applied This is useful when you want to apply non-affine transformations to the Graphics2D used to draw elements of the graph.

Author:
  Tom Nelson - RABA Technologies

Field Summary
`protected Transformer` | `transformer` the transformer to apply

Fields inherited from class edu.uci.ics.jung.visualization.transform.shape.GraphicsDecorator
`delegate`

Constructor Summary
`TransformingGraphics(Transformer transformer)`
`TransformingGraphics(Transformer transformer, Graphics2D delegate)`

Method Summary
`Graphics` | `create()`
`void` | `dispose()`
`void` | `draw(Shape s)` transform the shape before letting the delegate draw it
`void` | `draw(Shape s, float flatness)`
`void` | `fill(Shape s)` transform the shape before letting the delegate fill it
`void` | `fill(Shape s, float flatness)`
`Transformer` | `getTransformer()`
`boolean` | `hit(Rectangle rect, Shape s, boolean onStroke)` transform the shape before letting the delegate apply 'hit' with it
`void` | `setTransformer(Transformer transformer)`

Methods inherited from class edu.uci.ics.jung.visualization.transform.shape.GraphicsDecorator
`addRenderingHints, clearRect, clip, clipRect, copyArea, create, draw3DRect, drawArc, drawBytes, drawChars, drawGlyphVector, drawImage, drawImage, drawImage, drawImage, drawImage, drawImage, drawImage, drawImage, drawLine, drawOval, drawPolygon, drawPolygon, drawPolyline, drawRect, drawRenderableImage, drawRenderedImage, drawRoundRect, drawString, drawString, drawString, drawString, equals, fill3DRect, fillArc, fillOval, fillPolygon, fillPolygon, fillRect, fillRoundRect, finalize, getBackground, getClip, getClipBounds, getClipBounds, getClipRect, getColor, getComposite, getDelegate, getDeviceConfiguration, getFont, getFontMetrics, getFontMetrics, getFontRenderContext, getPaint, getRenderingHint, getRenderingHints, getStroke, getTransform, hashCode, hitClip, rotate, rotate, scale, setBackground, setClip, setClip, setColor, setComposite, setDelegate, setFont, setPaint, setPaintMode, setRenderingHint, setRenderingHints, setStroke, setTransform, setXORMode, shear, toString, transform, translate, translate`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### transformer

    protected Transformer transformer

  the transformer to apply

Constructor Detail

### TransformingGraphics

    public TransformingGraphics(Transformer transformer)

### TransformingGraphics

    public TransformingGraphics(Transformer transformer,
                                Graphics2D delegate)

Method Detail

### getTransformer

    public Transformer getTransformer()

  Returns:
    Returns the transformer.

### setTransformer

    public void setTransformer(Transformer transformer)

  Parameters:
    `transformer` - The transformer to set.

### draw

    public void draw(Shape s)

  transform the shape before letting the delegate draw it

  Overrides:
    `draw` in class `GraphicsDecorator`

### draw

    public void draw(Shape s,
                     float flatness)

### fill

    public void fill(Shape s)

  transform the shape before letting the delegate fill it

  Overrides:
    `fill` in class `GraphicsDecorator`

### fill

    public void fill(Shape s,
                     float flatness)

### hit

    public boolean hit(Rectangle rect,
                       Shape s,
                       boolean onStroke)

  transform the shape before letting the delegate apply 'hit' with it

  Overrides:
    `hit` in class `GraphicsDecorator`

### create

    public Graphics create()

  Overrides:
    `create` in class `GraphicsDecorator`

### dispose

    public void dispose()

  Overrides:
    `dispose` in class `GraphicsDecorator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD